### Function

# GObject flags_complete_type_info

#### Declaration

    void
    g_flags_complete_type_info (
      GType g_flags_type,
      GTypeInfo* info,
      const GFlagsValue* const_values
    )

#### Description

This function is meant to be called from the `complete_type_info()` function of a `GTypePlugin` implementation, see the example for `g_enum_complete_type_info()` above.

#### Parameters

`g_flags_type`

  Type: `GType`

  The type identifier of the type being completed.

`info`

  Type: `GTypeInfo`

  The `GTypeInfo` struct to be filled in.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`const_values`

  Type: `GFlagsValue`

  An array of `GFlagsValue` structs for the possible enumeration values. The array is terminated by a struct with all members being 0.

  The data is owned by the caller of the function.